Bug 652899 - Trouble emptying trash, got "Summary and folder mismatch, even after a sync"
Summary: Trouble emptying trash, got "Summary and folder mismatch, even after a sync"
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-13 12:29 UTC by Lawrence Graves
Modified: 2012-08-16 19:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 19:09:38 UTC
Type: ---


Attachments (Terms of Use)
A picture of the error message receive when emptying trash (1.98 MB, image/png)
2010-11-13 12:29 UTC, Lawrence Graves
no flags Details

Description Lawrence Graves 2010-11-13 12:29:07 UTC
Created attachment 460220 [details]
A picture of the error message receive when emptying trash

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Milan Crha 2010-11-15 08:36:44 UTC
Thanks for a bug report. The image doesn't show much. Could you click the triangle with the exclamation mark in the status bar to see detailed information about the error, please? Then just copy & paste the error text here, no need for ~2MB image of your full desktop for few bytes of text. Thanks in advance.

Comment 2 Milan Crha 2010-11-15 12:49:31 UTC
You sent me a private reply (please do not do that, rather add comments to bugzilla, if not asked on purpose), with an image of your desktop with the error message expanded, where I was only interested in a text of the error message, which is easily selectable by mouse and ready to copy & paste.

The message on the image is:
> Error while Emptying trash in 'Local Folders'.
>
> Error storing '~/.local/share/evolution/mail/local/Templates/Sent (mbox)':
> Summary and folder mismatch, even after a sync

There is slightly outdated FAQ entry in [1] which applies for your ~/.local/share/evolution/mail/local/Templates/Sent files, then there is also missing an information about removing/fixing also ~/.local/share/evolution/mail/local/folders.db file. When you move this file to other folder (Evolution will recreate it on start) and possibly also other indexes as described in [1],
then this error should disappear.

I've one question, though, is this a fresh new installation of fedora 14, or was it done as an upgrade from previous versions, like Fedora 13, with some accounts configured, or restored accounts from a backup? The thing is that this bug should be fixed in 2.32.0, but it seems it's either not completely (if your installation is fresh), or the error was left from the previous installation (though even here can also apply that the fix didn't address the issue completely).

[1] http://live.gnome.org/Evolution/FAQ#Why_do_I_get_an_error_.22Summary_and_folder_mismatch.2C_even_after_a_sync.22.3F

Comment 3 Fedora End Of Life 2012-08-16 19:09:41 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.